Set org-default KB bindings
curl --request PUT \
--url https://api.pyai.com/v1/knowledgebases/default \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"kb_id": "<string>",
"weight": 1
}
]
'import requests
url = "https://api.pyai.com/v1/knowledgebases/default"
payload = [
{
"kb_id": "<string>",
"weight": 1
}
]
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify([{kb_id: '<string>', weight: 1}])
};
fetch('https://api.pyai.com/v1/knowledgebases/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"kb_id": "<string>",
"weight": 1
}
]
}{
"title": "<string>",
"status": 123,
"type": "<string>",
"detail": "<string>",
"request_id": "<string>"
}Knowledge Bases
Set org-default KB bindings
Replace the org-default knowledge base bindings. Omni sessions opened without an agent profile (or whose profile binds nothing) ground against these. Requires the kb:manage scope.
PUT
/
v1
/
knowledgebases
/
default
Set org-default KB bindings
Authorizations
apiKeyxApiKey
Use Authorization: Bearer pyai_live_... (or pyai_test_...).
Body
application/json
Response
Default bindings
Show child attributes
Show child attributes
⌘I